.menu-display {
    display: block;
    float: left;
    width: auto;
    height: 100%;
    min-height: 78px;
    position: relative;
    margin-bottom: 0;
    margin-left: -16px;
}

.menu-form {
    width: auto;
    height: auto;
}

.menu-form {
    float: none;
}

.icon-menu {
    width: 100%;
    height: 38px;
    position: relative;
    overflow: hidden;
}

.menu-btn-title {
    height: 33.333333%;
    font-size: 1.82rem;
}

.menu-btn-title .menu-text-form {
    display: table-cell;
    vertical-align: middle;
    font-size: inherit;
}

.btn-menu {
    width: auto;
    min-height: inherit;
    z-index: 1;
}

.btn-menu-form {
    width: 100%;
    height: 100%;
    cursor: pointer;
    display: flex;
    flex-direction: column;
    flex-wrap: nowrap;
    align-items: center;
    justify-content: center;
}

.icon-menu .icon-menu-form {
    display: block;
    width: 38px;
    height: 38px;
    position: absolute;
    top: 50%;
    left: 50%;
    -webkit-transform: translate(-50%, -50%);
    -moz-transform: translate(-50%, -50%);
    -o-transform: translate(-50%, -50%);
    transform: translate(-50%, -50%);
}

.icon-menu-form-top, .icon-menu-form-middle, .icon-menu-form-mottom {
    -webkit-transform: translate(-50%, -50%) rotate(0deg);
    -moz-transform: translate(-50%, -50%) rotate(0deg);
    -o-transform: translate(-50%, -50%) rotate(0deg);
    transform: translate(-50%, -50%) rotate(0deg);
}

.icon-menu-form-top {
    top: 25%;
    -webkit-transform: translate(-50%, 0%) rotate(0deg);
    -moz-transform: translate(-50%, 0%) rotate(0deg);
    -o-transform: translate(-50%, 0%) rotate(0deg);
    transform: translate(-50%, 0%) rotate(0deg);
}

.icon-menu-form-middle {
    top: 50%;
}

.icon-menu-form-mottom {
    bottom: 25%;
    -webkit-transform: translate(-50%, 0%) rotate(0deg);
    -moz-transform: translate(-50%, 0%) rotate(0deg);
    -o-transform: translate(-50%, 0%) rotate(0deg);
    transform: translate(-50%, 0%) rotate(0deg);
}

.btn-menu.menu-is-open .icon-menu-form-top {
    top: 50%;
    -webkit-transform: translate(-50%, -50%) rotate(45deg);
    -moz-transform: translate(-50%, -50%) rotate(45deg);
    -o-transform: translate(-50%, -50%) rotate(45deg);
    transform: translate(-50%, -50%) rotate(45deg);
}

.btn-menu.menu-is-open .icon-menu-form-middle {
    opacity: 0;
    visibility: hidden;
    width: 0;
}

.btn-menu.menu-is-open .icon-menu-form-mottom {
    bottom: 50%;
    -webkit-transform: translate(-0%, 50%) rotate(-45deg);
    -moz-transform: translate(-50%, 50%) rotate(-45deg);
    -o-transform: translate(-50%, 50%) rotate(-45deg);
    transform: translate(-50%, 50%) rotate(-45deg);
}

.icon-menu-form-top, .icon-menu-form-middle, .icon-menu-form-mottom {
    position: absolute;
    height: 2px;
    width: 32px;
    left: 50%;
    background: #000;
}

.btn-menu-form:hover .icon-menu-form-top, .btn-menu-form:hover .icon-menu-form-middle, .btn-menu-form:hover .icon-menu-form-mottom, .btn-menu.menu-is-open .btn-menu-form .icon-menu-form-top, .btn-menu.menu-is-open .btn-menu-form .icon-menu-form-middle, .btn-menu.menu-is-open .btn-menu-form .icon-menu-form-mottom {
    background: #c22;
    transition: 0.35s all;
}

.menu-show {
    position: absolute;
    display: none;
    width: 100vw;
}

.menu-show.open {
    left: 0;
    z-index: 10000000000;
    margin-top: 0;
    display: block;
}

.menu-block .menu-content .menu-bg, .megamenu-form .megamenu .sub-menu-bg {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: var(--firework-menu-background-color);
    z-index: -1;
    padding: 6px;
    overflow: hidden;
}
